Home

# Class goog.gears.MultipartFormData

Creates a new multipart form data builder.

Instance Method Summary
| `addBlob(string name, string fileName, ?GearsBlob blob) ⇒ ?goog.gears.MultipartFormData` Adds a Gears blob as a file to the multipart.
| `addFile(string name, ?GearsFile gearsFile) ⇒ ?goog.gears.MultipartFormData` Adds a Gears file to the multipart.
| `addText(string name, <Any Type> value) ⇒ ?goog.gears.MultipartFormData` Adds some text to the multipart.
| `assertNoBoundary_(<Any Type> v)` Asserts that the value does not contain the boundary.
| `assertNotClosed_()` Asserts that we do not try to add any more data to a closed multipart form builder.
| `getAsBlob() ⇒ ?GearsBlob`
| `getContentType() ⇒ string` The content type to set on the GearsHttpRequest. var builder = new MultipartFormData; ... ghr.setRequestHeader('Content-Type', builder.getContentType()); ghr.send(builder.getAsBlob());